[USN-3786-1] libxkbcommon vulnerabilities

protocol=”application/pgp-signature”; boundary=”=-DJXrD08D/eJvnTJpI5ZX”

–=-DJXrD08D/eJvnTJpI5ZX

Content-Transfer-Encoding: quoted-printable

=
=

Ubuntu Security Notice USN-3786-1
October 08, 2018

libxkbcommon vulnerabilities
=
=

A security issue affects these releases of Ubuntu and its derivatives:

– Ubuntu 16.04 LTS
– Ubuntu 14.04 LTS

Summary:

Several security issues were fixed in libxkbcommon.

Software Description:
– libxkbcommon: library interface to the XKB compiler – development
files

Details:

It was discovered that libxkbcommon incorrectly handled certain files.
An attacker could possibly use this issue to cause a denial of service.
(CVE-2018-15853, CVE-2018-15854, CVE-2018-15855, CVE-2018-15856,
CVE-2018-15857, CVE-2018-15858, CVE-2018-15859, CVE-2018-15861,
CVE-2018-15862, CVE-2018-15863, CVE-2018-15864)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 16.04 LTS:
=C2=A0 libxkbcommon-x11-0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.5.0-1ubuntu2.1
=C2=A0 libxkbcommon0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.5.0-1ubuntu2.=
1

Ubuntu 14.04 LTS:
=C2=A0 libxkbcommon-x11-0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.4.1-0ubuntu1.1
=C2=A0 libxkbcommon0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=
=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A00.4.1-0ubuntu1.=
1

In general, a standard system update will make all the necessary
changes.

References:
=C2=A0 https://usn.ubuntu.com/usn/usn-3786-1
=C2=A0 CVE-2018-15853, CVE-2018-15854, CVE-2018-15855, CVE-2018-15856,
=C2=A0 CVE-2018-15857, CVE-2018-15858, CVE-2018-15859, CVE-2018-15861,
=C2=A0 CVE-2018-15862, CVE-2018-15863, CVE-2018-15864

Package Information:
=C2=A0 https://launchpad.net/ubuntu/+source/libxkbcommon/0.5.0-1ubuntu2.1
=C2=A0 https://launchpad.net/ubuntu/+source/libxkbcommon/0.4.1-0ubuntu1.1
–=-DJXrD08D/eJvnTJpI5ZX

Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

—–BEGIN PGP SIGNATURE—–
Version: GnuPG v2

iQIcBAABCAAGBQJbu265AAoJEEW851uECx9p2F4P/0pDscQQChz7UxunPZDauPwv
d9Gybn5F2ygPrOa6EANmvkFVd1X04H9NW5ruyPur1CnIXDTUpUhg8Ml8z+zkzlxX
wLwv8wzMqlj1vdcmSbWVDIZHlbje+2JZ1OvS0YylWvP4tcqHyue8/ii+iD9BK7nz
OhfTy27U60kV8BGhoMhQOSV9czFJYbnp/f3b+msJLdN97sIYcTK1WtpN4dWkryF7
XgtHhv3/NyrPpdOj+c2oMjjDNZBgBgXcX7XGT/cMNAZ80QcvDmKTkM6iB6dh2WaO
8RRU1k+kbDM1+TavMNovtLMm/UZmHNP3VtDQI4i/Zup3XvxmRt98Euy9aL5NQnS4
HmhPGQGXSzuU0tPKjckJp0jjebOdyts/gV/W3yAn2JlR5HrEe6t/Y4Qb0myfiQ/w
WcrroNtESFD01qNNKjdoys6EVehZF+gNqUkyhzbJW2Bd5ZpdnziYPf2VUQuW6LQj
xTWxXnqKqVE8cPnO7PRdaywJ8kEyrwXL8uYvfL4kCizGU8d2Yvyer4bQhPiCRKEh
BMbklX+oXO6R7pK8Vka+pG+POAlPRGs6dt1uu2Z+ZGQLBoGE8FAPSDQEjJWJOsHz
oqk4LjnFkDNi0CndHfEa8BeQi0t6PCCVM/yNoCu1EIIDKoOHaR0Ansq2Vyjce2Tr
b33gE+UeLyy2ksvMOIN1
=IDTL
—–END PGP SIGNATURE—–

–=-DJXrD08D/eJvnTJpI5ZX–

MIME-Version: 1.0
Content-Transfer-Encoding: base64
Content-Disposition: inline

LS0gCnVidW50dS1zZWN1cml0eS1hbm5vdW5jZSBtYWlsaW5nIGxpc3QKdWJ1bnR1LXNlY3VyaXR5
LWFubm91bmNlQGxpc3RzLnVidW50dS5jb20KTW9kaWZ5IHNldHRpbmdzIG9yIHVuc3Vic2NyaWJl
IGF0OiBodHRwczovL2xpc3RzLnVidW50dS5jb20vbWFpbG1hbi9saXN0aW5mby91YnVudHUtc2Vj
dXJpdHktYW5ub3VuY2UK